Subject: Re: [Tsvwg] refresh sctp association

From: Randall Stewart at work <[email-masked]>
Date: Wed, 13 Jun 2001 16:17:19 -0500

Ming:

As I have told you offline.. I don't see the value
in this. SCTP already has a restarting association
mechanism. You propose (if I understand correctly) re-inventing
this so you can escape any application level consequences
of the association restarting.. which is exactly what you
are doing when the Verfication Tag changes.

I would advise you to submit a draft so maybe others (and myself) can
get a document in hand to think on ... 

R

Ming Lin wrote:
> 
> Hi all,
> 
> I have a idea of adding a functionality to SCTP, which called "refresh".
> 
> The process is below:
> 
> The local send REFRESH message to the peer with parameters
> of  initial_TSN,a_rwnd and v_tag.
> 
> When the peer receives this message, it refresh its tx and rx buffer
> and takes action as a new association,
> without change of in/out stream number, port, ip addrees ..
> then send back REFRESH ACK message with initial_TSN, a_rwnd and v_tag.
> 
> The local sctp also takes action as above
> when it receive REFRESH ACK,
> and send back REFRESH COMPLETE message.
> 
> After refresh, the association has new initial_TSN and v_tag.
> 
> The advantages of having such functionality are:
> 1.An SCTP association of telecommunication level application may
> last for a long time.
> The longer time v_tag and initial_TSN fix, the more possible is the
> association attacked.
> So it cause security problem.
> If the users fresh association between them, the v_tag and initial_TSN will
> be changed,
> the possibility of being attacked is decreased.
> 
> 2.This functionality makes SCTP redundancy easier to implemente.
> The two SCTP processors need only backup some half-static variable of TCB,
> and after switchover the newly active processors just refresh the
> association.
> Some variables that change frequently(e.g. TSN and SSN) need not be
> backuped.
> 
> 3.An SCTP association of telecommunication level application may
> last for a long time, and during this time, the two sides of SCTP may lose
> synchronization.
> At that time, the refresh functionality is useful to keep the association.
> 
> Comments are welcome.....
> 
> Regards
> Ming Lin
> 
> _______________________________________________
> tsvwg mailing list
> [email-masked]
> http://www1.ietf.org/mailman/listinfo/tsvwg

-- 
Randall R. Stewart
[email-masked] 815-342-5222 (cell phone)

_______________________________________________
tsvwg mailing list
[email-masked]
http://www1.ietf.org/mailman/listinfo/tsvwg